Chromium Code Reviews
chromiumcodereview-hr@appspot.gserviceaccount.com (chromiumcodereview-hr) | Please choose your nickname with Settings | Help | Chromium Project | Gerrit Changes | Sign out
(210)

Unified Diff: tests/submodule-merge-test.sh

Issue 10543151: Add test for git-svn with submodule/merge layout. (Closed) Base URL: svn://svn.chromium.org/chrome/trunk/tools/depot_tools/
Patch Set: Created 8 years, 6 months ago
Use n/p to move between diff chunks; N/P to move between comments. Draft comments are only viewable by you.
Jump to:
View side-by-side diff with in-line comments
Download patch
« no previous file with comments | « tests/submit-from-new-dir.sh ('k') | tests/test-lib.sh » ('j') | no next file with comments »
Expand Comments ('e') | Collapse Comments ('c') | Show Comments Hide Comments ('s')
Index: tests/submodule-merge-test.sh
===================================================================
--- tests/submodule-merge-test.sh (revision 0)
+++ tests/submodule-merge-test.sh (revision 0)
@@ -0,0 +1,58 @@
+#!/bin/bash
+
+# Copyright (c) 2012 The Chromium Authors. All rights reserved.
+# Use of this source code is governed by a BSD-style license that can be
+# found in the LICENSE file.
+
+set -e
+
+. ./test-lib.sh
+
+setup_initsvn
+setup_gitsvn_submodule
+
+(
+ set -e
+ prev_svn_revision=`svn info file://$PWD/svnrepo | grep ^Revision | \
+ sed s/^.*:// | xargs`
+ cd git-svn-submodule
+ git config rietveld.server localhost:1
+ git checkout -q --track -b work
+ echo "some work done" >> test
+ git add test; git commit -q -m "work \
+TBR=foo"
+
+ git_diff=`git diff HEAD^ | sed -n '/^@@/,$p' | xargs`
+
+ test_expect_success "dcommitted code" \
+ "$GIT_CL dcommit -f --bypass-hooks -m 'dcommit'"
+
+ cd ..
+
+ next_svn_revision=`svn info file://$PWD/svnrepo | grep ^Revision | \
+ sed s/^.*:// | xargs`
+
+ test_expect_success "svn got new revision" \
+ "test $next_svn_revision = `expr $prev_svn_revision + 1`"
+
+ svn_diff=`svn diff -c $next_svn_revision file://$PWD/svnrepo | \
+ sed -n '/^@@/,$p' | xargs`
+
+ test_expect_success "svn diff is correct" \
+ "test \"$git_diff\" = \"$svn_diff\""
+
+ cd git-svn-submodule
+ git svn fetch
+ last_svn_rev=`git show refs/remotes/trunk | grep git-svn-id: | \
+ grep -o trunk@[0-9]* | xargs`
+
+ test_expect_success "git svn fetch gets new svn revision" \
+ "test $last_svn_rev = trunk@$next_svn_revision"
+)
+SUCCESS=$?
+
+#cleanup
+
+if [ $SUCCESS == 0 ]; then
+ echo PASS
+fi
Property changes on: tests/submodule-merge-test.sh
___________________________________________________________________
Added: svn:executable
+ *
Added: svn:eol-style
+ LF
« no previous file with comments | « tests/submit-from-new-dir.sh ('k') | tests/test-lib.sh » ('j') | no next file with comments »

Powered by Google App Engine
This is Rietveld 408576698